import { createApp } from "vue";
import App from "./App.vue";
import axios from "axios";
import ElementPlus from "element-plus";
import "element-plus/dist/index.css";
import router from "./router";
import store from "./store";
import "./assets/common.css";

createApp(App).use(store).use(router).use(ElementPlus).mount("#app");

axios.defaults.baseURL = "http://192.168.1.192:8081"; // 你的 Spring Boot API 服务器地址
axios.defaults.headers.post["Content-Type"] = "application/json";
axios.defaults.withCredentials = true;

router.beforeEach((to, from, next) => {
  const title = to.meta?.title as string;
  if (title) {
    document.title = title;
  }
  next();
});
